开源改变世界!!

请帮忙编译 #125

推推 grbl 1年前 (2023-02-12) 141次浏览
关闭
sinfocomp 开了这个issue 2020 年 7 月 7 日 · 11 条评论
关闭

请帮忙编译#125

sinfocomp 开了这个issue 2020 年 7 月 7 日 · 11 条评论

评论

请帮忙编译 #125

我已经安装了android studio,有人可以帮我编译吗
谢谢

请帮忙编译 #125
所有者

密切关注 android studio 抛出的错误,通过解决它们你可以构建它。
IDE 将向您显示错误。

请帮忙编译 #125
所有者
请帮忙编译 #125
作者

谢谢,对于回复,你能指出我应该打开以在 androidstudio 中编译的主项目文件吗?
谢谢

请帮忙编译 #125
所有者

您需要选择项目文件夹并将其导入 Studio

请帮忙编译 #125
作者

好的,我做到了,我收到一个小框,上面写着“无效的 VCS 根映射”

请帮忙编译 #125
作者

请帮忙编译 #125
这是一些下载和更新后的屏幕

请帮忙编译 #125
作者
资讯公司 评论了 2020 年 7 月 7 日  

更新了许可证,现在我收到以下错误

KotlinDslScriptsParameter(correlationId=3546988454677, scriptFiles=[]) => StandardKotlinDslScriptsModel(scripts=[], commonModel=CommonKotlinDslScriptModel(classPath=[], sourcePath=[], implicitImports=[]), dehydratedScriptModels={}) – 耗时 0.001 秒

此构建中使用了已弃用的 Gradle 功能,使其与 Gradle 7.0 不兼容。
使用“–warning-mode all”来显示各个弃用警告。

build.gradle:API“variant.getMappingFile()”已过时,已替换为“variant.getMappingFileProvider()”。
它将在 Android Gradle 插件的 5.0 版本中被删除。
有关更多信息,请参阅https://d.android.com/r/tools/task-configuration-avoidance
要确定调用 variant.getMappingFile() 的内容,请在命令行上使用 -Pandroid.debug.obsoleteApi=true 以显示更多信息。
受影响的模块:app

build.gradle:DSL 元素“android.dataBinding.enabled”已过时并已替换为“android.buildFeatures.dataBinding”。
它将在 Android Gradle 插件的 5.0 版本中被删除。
受影响的模块:app

请帮忙编译 #125

谁能帮我编译这个?

请帮忙编译 #125
所有者

您遇到的问题/错误是什么?
通常 Gradle 错误是不言自明的

请帮忙编译 #125
Ams激光 评论了 2022 年 10 月 11 日 通过电子邮件
请帮忙编译 #125
所有者

你能告诉我你用来编译的 Android studio 和 gradle 的版本吗?我想有相同的设置,这样我就可以编译 El dom。,2022 年 4 月 17 日上午 12:32,zeevy @> escribió:

你遇到的问题/错误是什么?通常 Gradle 错误是不言自明的——直接回复此电子邮件,在 GitHub < #125(评论) > 上查看,或取消订阅https://github.com/notifications/unsubscribe-auth/AU6AJ6VPVFB22FGENGRPGO3VFOO7ZANCNFSM4ORY735Q。您收到此消息是因为您发表了评论。消息 ID:@
>

https://github.com/zeevy/grblcontroller/blob/master/gradle/wrapper/gradle-wrapper.properties